AOZ Studio Beta - Bug #31

Limit Bob causes the compiler to hang on the second pass.
01/19/2020 06:27 AM - Brian Flanagan

Status: Closed Start date: 01/19/2020
Priority: Normal Due date: 02/01/2020
Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3.2

Affected version: 0.9.2.6

Description

Example: Help_28, line 146:
Limit Bob 1,16,32 To 305,169
...causes the compiler to hang on the second pass, and results in the following:

First pass...
Second pass...

Commenting the Limit Bob on line 146 allows compilation to complete successfully.

First pass...

Second pass...
Compiling icons...
Compiling images...
Compiling musics...
Compiling sounds...
Compiling fonts...
Compiling filesystem...

All tasks successful, duration: 11.063 seconds.

History

#1 - 01/21/2020 03:58 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.3
Fixed!
#2 - 01/22/2020 10:21 PM - Baptiste Pillot

- Status changed from Resolved to Feedback

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/420
e run : https://www.amos2.fr/run/tickleman/31/
® no run (compilation crash)

Compilation result (0.9.3.1) :

Error during compilation
https://www.amos2.fr/ide/Amos2/Ide/Program/420
https://www.amos2.fr/run/tickleman/31/

First pass...

Second pass...

Compiling images...

ap.js:1261

return wrapper.apply(this.exports, args);

~

ReferenceError: message is not defined

at theEnd (C:\snapshot\compiler\aoz.js)

at aoz (C:\snapshot\compiler\aoz.]s)

at Object. (C:\snapshot\compiler\aoz.js)

at Module._compile (pkg/prelude/bootstrap.js:1261:22)

at Object.Module._extensions..js (internal/modules/cjs/loader.js:993:10)
at Module.load (internal/modules/cjs/loader.js:813:32)

at Function.Module._load (internal/modules/cjs/loader.js:725:14)

at Function.Module.runMain (pkg/prelude/bootstrap.js:1316:12)

at internal/main/run_main_module.js:17:11

| wrote only the code :
Limit Bob 1,16,32 To 305,169

Perhaps am | wrong ? Is it bad without context / files ?
Do you have the full example / files requirements ?

#3 - 01/28/2020 11:43 AM - Brian Flanagan
The source is available in AOZ Examples: Help_28

It looks like this has been fixed as of verion 0.9.3.1.
It compiles now.

#4 - 02/01/2020 06:13 AM - Baptiste Pillot

- Due date set to 02/01/2020

- Target version changed from 0.9.3 to 0.9.3.2

You're right : it seems that my "minimalist" code compiles in 0.9.3.1, if | add an image for my Bob.
Changed the test code to :

Bob 1, 12, 26, 1
Limit Bob 1,16,32 To 305,169

Awaited result : only a part of my spaceship should be visible, because of bob limit.

e (0.9.3.1 : Bad result : no limit : the spaceship fully displays
¢ 0.9.3.2: Ok, the spaceships is now truncated

Problem solved, for me since 0.9.3.2.

#5 - 02/01/2020 06:13 AM - Baptiste Pillot
- Status changed from Feedback to Closed
